Bug 620835 - SELinux is preventing /bin/touch "write" access on /var/lock/subsys/ipsec.
SELinux is preventing /bin/touch "write" access on /var/lock/subsys/ipsec.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
: RHELNAK, SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 11:41 EDT by Matěj Cepl
Modified: 2012-10-15 11:08 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-36.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:35:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2010-08-03 11:41:19 EDT
Souhrn:

SELinux is preventing /bin/touch "write" access on /var/lock/subsys/ipsec.

Podrobný popis:

SELinux denied access requested by touch. It is not expected that this access is
required by touch and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Další informace:

Kontext zdroje                staff_u:system_r:ipsec_mgmt_t:s0
Kontext cíle                 system_u:object_r:var_lock_t:s0
Objekty cíle                 /var/lock/subsys/ipsec [ file ]
Zdroj                         touch
Cesta zdroje                  /bin/touch
Port                          <Neznámé>
Počítač                    johanka.ceplovi.cz
RPM balíčky zdroje          coreutils-8.4-9.el6
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.7.19-34.el6
Selinux povolen               True
Typ politiky                  targeted
Vynucovací režim            Enforcing
Název zásuvného modulu     catchall
Název počítače            johanka.ceplovi.cz
Platforma                     Linux johanka.ceplovi.cz 2.6.32-52.el6.x86_64 #1
                              SMP Wed Jul 21 11:50:07 EDT 2010 x86_64 x86_64
Počet upozornění           2
Poprvé viděno               Út 3. srpen 2010, 11:39:36 EDT
Naposledy viděno             Út 3. srpen 2010, 11:39:36 EDT
Místní ID                   e05f81f8-1ee9-4d2e-bba1-0642594e75e1
Čísla řádků              

Původní zprávy auditu      

node=johanka.ceplovi.cz type=AVC msg=audit(1280849976.973:11714): avc:  denied  { write } for  pid=14680 comm="touch" name="ipsec" dev=dm-1 ino=151918 scontext=staff_u:system_r:ipsec_mgmt_t:s0 tcontext=system_u:object_r:var_lock_t:s0 tclass=file

node=johanka.ceplovi.cz type=SYSCALL msg=audit(1280849976.973:11714): arch=c000003e syscall=280 success=no exit=-13 a0=ffffffffffffff9c a1=7fff3a4d1d36 a2=0 a3=0 items=0 ppid=14600 pid=14680 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=378 comm="touch" exe="/bin/touch" subj=staff_u:system_r:ipsec_mgmt_t:s0 key=(null)
Comment 1 Matěj Cepl 2010-08-03 11:44:11 EDT
Not sure what I did to deserve this, but I was just sitting in the Stata building at MIT using their free wifi and swithcing on VPN with NM-Openswan (NetworkManager-openswan-0.8.0-5.20100411git.el6.x86_64, openswan-2.6.24-8.el6.x86_64)
Comment 3 RHEL Product and Program Management 2010-08-03 12:08:00 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 Daniel Walsh 2010-08-03 13:30:23 EDT
Miroslav we need

/var/lock/subsys/ipsec		--	gen_context(system_u:object_r:ipsec_mgmt_lock_t,s0
Comment 5 Miroslav Grepl 2010-08-06 09:16:41 EDT
Fixed in selinux-policy-3.7.19-36.el6.noarch.
Comment 7 releng-rhel@redhat.com 2010-11-10 16:35:55 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.